Native Crash in Android 4.4.2 with SDK 10.1.1

1501
4
03-27-2014 03:22 AM
KeithTurner
New Contributor III
We're seeing native crashes in an app running the arcgis sdk 10.1.1.  They appear to only be occurring on either Galaxy Note3 or Galaxy S4 but only if they're running Android 4.4.2.  Unfortunately, I don't have one of these to test with, so my information is limited.  Some information from the crash report:

signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 950c9fe8

backtrace:
#00 pc 0002225c /system/lib/libc.so (__memcpy_base+227)
#01 pc 00071107 /system/vendor/lib/egl/libGLESv2_adreno.so (rb_memcpy+282)
#02 pc 0007d4a1 /system/vendor/lib/egl/libGLESv2_adreno.so (rb_vbo_cache_buffer+320)
#03 pc 000465a7 /system/vendor/lib/egl/libGLESv2_adreno.so (cache_vbo_attrib+298)
#04 pc 0004962d /system/vendor/lib/egl/libGLESv2_adreno.so
#05 pc 00049da5 /system/vendor/lib/egl/libGLESv2_adreno.so (core_glDrawElementsInstancedXXX+140)
#06 pc 00049fd7 /system/vendor/lib/egl/libGLESv2_adreno.so (core_glDrawElements+10)
#07 pc 00039767 /system/vendor/lib/egl/libGLESv2_adreno.so (glDrawElements+28)


Is anyone else seeing anything similar, or successfully using sdk 10.1.1 under these conditions?

Thanks
Keith
0 Kudos
4 Replies
KeithTurner
New Contributor III
We're seeing native crashes in an app running the arcgis sdk 10.1.1.  They appear to only be occurring on either Galaxy Note3 or Galaxy S4 but only if they're running Android 4.4.2.  Unfortunately, I don't have one of these to test with, so my information is limited.  Some information from the crash report:

signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 950c9fe8

backtrace:
#00 pc 0002225c /system/lib/libc.so (__memcpy_base+227)
#01 pc 00071107 /system/vendor/lib/egl/libGLESv2_adreno.so (rb_memcpy+282)
#02 pc 0007d4a1 /system/vendor/lib/egl/libGLESv2_adreno.so (rb_vbo_cache_buffer+320)
#03 pc 000465a7 /system/vendor/lib/egl/libGLESv2_adreno.so (cache_vbo_attrib+298)
#04 pc 0004962d /system/vendor/lib/egl/libGLESv2_adreno.so
#05 pc 00049da5 /system/vendor/lib/egl/libGLESv2_adreno.so (core_glDrawElementsInstancedXXX+140)
#06 pc 00049fd7 /system/vendor/lib/egl/libGLESv2_adreno.so (core_glDrawElements+10)
#07 pc 00039767 /system/vendor/lib/egl/libGLESv2_adreno.so (glDrawElements+28)


Is anyone else seeing anything similar, or successfully using sdk 10.1.1 under these conditions?

Thanks
Keith


To ask this question a different way, has anyone seen an app using the sdk version 10.1.1 working on a Note3 or S4 with Android 4.4.2?

Keith
0 Kudos
AlanLucas
Esri Contributor
Hi Keith,

I have a Galaxy S4 running 4.4.2 and I find I can run apps built using the ArcGIS for Android SDK v10.2.2 without any problems. Do you have problems with all apps built with 10.1.1? Have you tried 10.2.2?

Alan Lucas,
Esri Software Developer
0 Kudos
KeithTurner
New Contributor III
A bit of feedback - we upgraded to v10.2.3 of the sdk and the crashes stopped occurring.

Keith
0 Kudos
AlanLucas
Esri Contributor
Hi Keith,

Good news! Thanks for letting us know.

Alan
0 Kudos